summaryrefslogtreecommitdiffstats
path: root/scripts/run_conky.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/run_conky.sh')
-rwxr-xr-xscripts/run_conky.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/scripts/run_conky.sh b/scripts/run_conky.sh
new file mode 100755
index 0000000..abdea35
--- /dev/null
+++ b/scripts/run_conky.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if [ "$1" != "start" ]; then
+ killall -9 conky
+ killall -9 rainlendar2
+ killall -9 rainlendar2.bin
+fi
+
+if [ "$1" != "stop" ]; then
+ python /opt/scripts/unlock.py gui || exit
+
+ killall -9 gpg-agent
+ pass test
+
+ conky -q -d -c /etc/conky/sysinfo.conf
+ conky -q -d -c /etc/conky/netstat.conf
+ conky -q -d -c /etc/conky/gentoo.conf
+ conky -q -d -c /etc/conky/logs.conf
+ conky -q -d -c /etc/conky/todo.conf
+ # todo should be loaded before forecast
+ sleep 0.3
+ conky -q -d -c /etc/conky/forecast.conf
+ /opt/rainlendar2/rainlendar2 --quiet &
+fi